Subject: RE: SUMMARY: wu-2.4.2-academ[BETA-18-VR13] & Digital C2 security

From: Mark Francis <[email-masked]>
Date: Fri, 19 Feb 1999 16:30:33 -0000

To change the path edit ~src/pathnames.h & recompile your ftpd.
Cheers,
Mark Francis
Analyst/Programmer
Teamwork Solutions Ltd
Phone:	+44(0) 161 228 2286
Fax:	+44(o) 161 228 2900
Email: [email-masked]
Web: http://teamwork-solutions.com

-----Original Message-----
From:	Tony Warner [SMTP:[email-masked]]
Sent:	19 February 1999 08:16
To:	[email-masked]
Cc:	[email-masked]
Subject:	SUMMARY: wu-2.4.2-academ[BETA-18-VR13] & Digital C2 security

Ok, I finally got this thing working.  Thanks for the help!
It turns out that ftpd was looking in a different place for the 
ftpaccess file.  I had placed it in /usr/local/etc/ftpaccess, 
and it was looking in /usr/local/lib/ftpd/ftpaccess.
I thought I had placed it in the default location (according to
some documentation I had read).  Where does one configure
this path?

Anyway, thanks again.

Tony Warner

At 08:23 PM 2/18/99 -0500, Gregory A Lundberg wrote:
>On Thu, 18 Feb 1999, Tony Warner wrote:
>
>> If I start up ftpd in the inetd file normally, everything works great.
>> However, if I add the -a at the end to enable the extended features,
>> no logins are accepted.  The server allows access by real and
>> anonymous users, but the login attempt fails with a "Login incorrect"
>> message.
>> 
>> my inetd.conf line looks like this:
>> 
>> ftp	stream	tcp	nowait	root	/usr/sbin/ftpd	ftpd -a
>> 
>> What am I missing?
>
>First, check that you're running the VR version.  The greeting will assure
>you of that.  If it's not the VR version, kill -HUP inetd and check again.
>If it's still not, the /usr/sbin/ftpd program is the wrong one.
>
>Next, check that the access file is being used.  Add the following line at
>the top:
>
>greeting brief
>
>and log into FTP again.  The greeting you see should be much reduced.  If
>it's not, run ckconfig and see if it complains about anything;
>specifically about not being able to find ftpaccess.
>
>Finally, watch the system logs when you attempt to login to ftp.  If you
>don't see anything, check your /etc/syslog.conf (or equivalent) to ensure
>you're sending everything _somewhere_.
>
>If the daemon isn't dying with a signal, all login failures are logged to
>the system log with the specific reason.
>
>-- 
>
>Gregory A Lundberg              Senior Partner, VRnet Company
>1441 Elmdale Drive              [email-masked]
>Kettering, OH 45409-1615 USA    1-800-809-2195
>
>

*********************************************************************
Tony Warner						[email-masked]
General Atomics					(619) 455-4285

*********************************************************************